Package: org.grails.cli.gradle

## [Groovy] Class GradleAsyncInvoker

- org.grails.cli.gradle.GradleAsyncInvoker

-     @groovy.transform.CompileStatic
      class GradleAsyncInvoker
      extends java.lang.Object

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.util.concurrent.ExecutorService` | `POOL` |
    `private GradleInvoker` | `invoker` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GradleInvoker` | `invoker`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GradleAsyncInvoker (GradleInvoker invoker)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.util.concurrent.ExecutorService POOL

    - #### private GradleInvoker invoker

  - ### Property Detail

    - #### GradleInvoker invoker

  - ### Constructor Detail

    - #### GradleAsyncInvoker(GradleInvoker invoker)

  - ### Method Detail

    - #### static void ()

    - #### @java.lang.Override @groovy.transform.CompileDynamic java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)